Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000368Core InformPhrases and functional programmingpublic2010-10-29 04:142014-05-07 07:33
Reporterfundin 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionVista
Product Version6F95 
Target VersionFixed in Version6L02 
Summary0000368: No dynamic dispatch for phrases applying to specific phrases
DescriptionThe example source should print "Specific case" twice but instead prints "General case" the second time, when the argument is a variable rather than a constant.
Minimal Source Text To Reproduce
Home is a room.

To waste time (this is wasting time): do nothing.

To disregard (P - a phrase nothing -> nothing): say "General case."
To disregard (P - wasting time): say "Specific case."

When play begins:
	disregard wasting time;
	let P be wasting time;
	disregard P.
Additional InformationIt's the sequel to 0000105.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships
related to 0000105closedgraham Phrases applying only to specific values don't work for some KOVs 

-  Notes
(0002465)
graham (administrator)
2014-02-09 16:11

Fixed at last; it had an extraordinarily distant cause from its effect.

- Issue History
Date Modified Username Field Change
2010-10-29 04:14 fundin New Issue
2010-10-29 09:04 jmcgrew Relationship added related to 0000105
2010-10-30 21:31 jmcgrew Status new => acknowledged
2010-10-30 21:59 jmcgrew Status acknowledged => confirmed
2014-02-09 16:11 graham Note Added: 0002465
2014-02-09 16:11 graham Status confirmed => resolved
2014-02-09 16:11 graham Resolution open => fixed
2014-02-09 16:11 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker